package edu.ucsc.facedetect;

import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.nio.channels.FileChannel;
import java.util.ArrayList;

public class NegativeChooser {

    public static void main(String[] args) {
        File mainDir = new File("C:\\Documents and Settings\\sherm\\Desktop\\101_ObjectCategories\\101_ObjectCategories");
        
        ArrayList<String> files = new ArrayList<String>();
        
        while (true) {
            File newDir = mainDir.listFiles()[(int)(mainDir.listFiles().length*Math.random())];
            
            if (newDir.getName().toLowerCase().startsWith("face") ||
                    newDir.getName().toLowerCase().startsWith("background")) {
                
                continue;
            }
            
            if (newDir.listFiles().length == 0) {
                continue;
            }
            
            File file = newDir.listFiles()[(int)(newDir.listFiles().length*Math.random())];
            
            if (!file.getName().toLowerCase().endsWith(".jpg")) {
                continue;
            }
            
            if (!files.contains(file.getAbsolutePath())) {
                files.add(file.getAbsolutePath());
                
                if (files.size() == 800) {
                    break;
                }
            }
        }
        
        int i = 0;
        for (String filename : files) {
                        
            System.out.println(filename);
            try {
                FileChannel inChannel = new
                    FileInputStream(new File(filename)).getChannel();
                FileChannel outChannel = new
                    FileOutputStream(new File("images/temp/image-" + i + ".jpg")).getChannel();

                inChannel.transferTo(0, inChannel.size(),
                    outChannel);
                if (inChannel != null) inChannel.close();
                if (outChannel != null) outChannel.close();
            } 
            catch (IOException e) {
                e.printStackTrace();
            }
            
            i++;
        }
    }
}
