package video;

import java.awt.Graphics;
import java.awt.Rectangle;
import java.awt.Robot;
import java.awt.image.BufferedImage;

import javax.swing.JFrame;

public class ScreenCapture extends JFrame {

    static BufferedImage image;
    
    public static void main(String[] args) {
        try {
            Robot robot = new Robot();
            
            image = robot.createScreenCapture(new Rectangle(50, 50, 100, 100));            
            
            new ScreenCapture();
        }
        catch (Exception e) {
            e.printStackTrace();
        }
    }
    
    public ScreenCapture() {
        setSize(500, 500);
        setLocation(600, 200);
        setDefaultCloseOperation(EXIT_ON_CLOSE);
        setVisible(true);
    }
    
    public void paint(Graphics g) {
        super.paint(g);
        g.drawImage(image, 0, 0, null);
    }
}
